- job:
    name: ldcg-sbsa-firmware
    project-type: freestyle
    defaults: global
    properties:
        - authorization:
            anonymous:
                - job-read
                - job-extended-read
            everyone-flat:
                - job-read
                - job-extended-read
                - job-build
                - job-cancel
        - build-discarder:
            days-to-keep: 7
            num-to-keep: 7
    parameters:
        - string:
            name: SYSTEMREADY_SR_ACS_VER
            default: 'v23.09_2.0.0'
            description: 'version of Arm SystemReady ACS'
        - string:
            name: QEMU_TIMEOUT
            default: '40m'
            description: 'timeout for single qemu run'
        - string:
            name: QEMU_RETRIES
            default: 6
            description: 'how many times QEMU should be run'
    disabled: false
    node: docker-bookworm-arm64-ldcg
    display-name: 'Arm SystemReady SR ACS on QEMU/SBSA Reference Platform'
    wrappers:
        - timestamps
        - credentials-binding:
            - text:
                credential-id: snapshots-api-key
                variable: PUBLISH_KEY
    builders:
        - shell:
            !include-raw: ldcg-sbsa-firmware/build.sh
        - shell:
            !include-raw: ldcg-sbsa-firmware/publishers.sh
    publishers:
        - email:
            recipients: 'marcin.juszkiewicz@linaro.org asa-dev@op-lists.linaro.org'
